Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.contact
Interface ContactStepInfo

All Known Implementing Classes:
  DequeueEvent, EndServiceEvent, EndServiceEventDetailed

    public interface ContactStepInfo

Represents an information object about a single step (end of service, exit of waiting queue, etc.) in the life cycle of a contact in the contact center. Implementations of this interface are used when the steps of contacts are traced.

Method Summary
`ContactStepInfo` | `clone(Contact clonedContact)` Makes a copy of this data object that will be associated with the cloned contact `clonedContact`.
`Contact` | `getContact()` Returns the contact concerned by this step.
`double` | `getEndingTime()` Returns the simulation time at which this step ended.
`double` | `getStartingTime()` Returns the simulation time at which this step started.

Method Detail

### getContact

    Contact getContact()

  Returns the contact concerned by this step.

  Returns:
    the concerned contact.

### getStartingTime

    double getStartingTime()

  Returns the simulation time at which this step started.

  Returns:
    the start time of the step.

### getEndingTime

    double getEndingTime()

  Returns the simulation time at which this step ended.

  Returns:
    the end time of the step.

### clone

    ContactStepInfo clone(Contact clonedContact)

  Makes a copy of this data object that will be associated with the cloned contact `clonedContact`. This method is intended to be used in `Contact.clone()`.

  Parameters:
    `clonedContact` - the contact being cloned.
  Returns:
    the clone of this data object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.